Copyright: Copyright © 1994 Megabyte Services


Contents

The Ultimate Status Bar for Visual Basic 3.0

Version 2.02.000

Overview of StatusFX

Examples of StatusFX

Property Reference

Event Reference

What's New to v2.2, Fixed and Changed (CHECK HERE NOW!!!)

Copyright © 1994 Megabyte Services

P.O. Box 821524

Dallas, Texas 75382


Caption1AbbreviateWords - Caption6AbbreviateWords

Usage

StatusFX.Caption1AbbreviateWords = booleanvalue

Read/Write at design time and run time.

Value

True 	- Turn On Abbreviation of Words (example: Sep or CAPS)

False 	- Turn Off Abbreviation of Words (example: September or Caps Lock)

Description

This property turns on and off abbreviation of  date parts (month, weekday) and key states for the selected caption.  This property is also selectable through associated popup menu.

Default Value

False


 Overview

examples of StatusFX

StatusFX is the first full blown status bar that features 6 captions capable of showing a 16 different captionstyles of date/time, memory/resources and keystates as well as being a full featured gauge.

Below is a short list of features built into StatusFX:

Check out What's New to v2.2, Fixed and Changed, Fixed for complete information on the new hot items.

StatusFX is equipped with over 120 properties and 7 events, extending StatusFX by giving you complete information of date, time (broken down to its individual units - even Julian Date), memory and resources currently available, display of all key states (CAPS LOCK, INSERT, SCROLL LOCK, NUM LOCK).

I hope that StatusFX will give you ease of use as it has brought me in my own VB projects.  That's why I developed it and with continued support I will create other custom controls to save you time and me in Visual Basic projects.

Support to defend StatusFX...


Properties
 StatusFX Properties

StatusFX Properties are used to define a state or characteristic of the StatusFX control.  Properties can be set at design time via the properties window.  The contents of the properties can be referenced, and usually modified at runtime also.  Here is the list of the StatusFX control properties:

Standard Properties

A

AMorPM

AMPMStyle

AvailableMemory

AvailableResources

B

BevelHighlight

BevelShade

BevelOuter

C

CapsState

Caption1AbbreviateWords - Caption6AbbreviateWords

Caption1Alignment - Caption6Alignment

Caption1BackColor - Caption6BackColor

Caption1Bevel - Caption6Bevel

Caption1 - Caption6

Caption1DisplayLeadingZero - Caption6DisplayLeadingZero

Caption1DisplayNextOnDblClick - Caption6DisplayNextOnDblClk

Caption1EndWidth - Caption5EndWidth

Caption1ForeColor - Caption6ForeColor

Caption1InactiveColor - Caption6InactiveColor

Caption1PopupMenu - Caption6PopupMenu

Caption1Style - Caption6Style

Caption1Visible - Caption6Visible

Caption1Width - Caption6Width

CaptionAutoSize

CaptionPaintDirection

CaptionWithMenu

D

Day

DayOfTheWeek

DisplayAllMenuItems

DisplayFullYear

DisplayMenu01Time

DisplayMenu02Military

DisplayMenu03Date

DisplayMenu04LongDate

DisplayMenu05DateandTime

DisplayMenu06LongDateandTime

DisplayMenu07Separator1

DisplayMenu08JulianDate

DisplayMenu09JulianandTime

DisplayMenu10JulianandDate

DisplayMenu11JulianandLongDate

DisplayMenu12JulianandDateandTime

DisplayMenu13JulianandLongDateandTime

DisplayMenu14Separator2

DisplayMenu15AvailableMemory

DisplayMenu16AvailableResources

DisplayMenu17MemoryandResources

DisplayMenu18Separator3

DisplayMenu19KeyStates

DisplayMenu20Separator4

DisplayMenu21AbbreviateWords

DisplaySeconds

E

EnableMenuSelect

EnableTimer

EnableTimer2

EndWidth

G

Gauge1 - Gauge6

Gauge1Alignment - Gauge6Alignment

Gauge1BackColor - Gauge6BackColor

Gauge1Direction - Gauge6Direction

Gauge1ForeColor - Gauge6ForeColor

Gauge1Percent - Gauge6Percent

Gauge1PercentStyle - Gauge6PercentStyle

Gauge1Text - Gauge6Text

H

Hour

I

InsertState

Interval

IntervalTimer2

J

JulianDate

M

Minute

Month

N

NumState

S

ScrollState

Second

U

UserDefinedAM

UserDefinedPM

W

Width01Time

Width02Military

Width03Date

Width04LongDate

Width05DateandTime

Width06LongDateandTime

Width07JulianDate

Width08JulianandTime

Width09JulianandDate

Width10JulianandLongDate

Width11JulianandDateandTime

Width12JulianandLongDateandTime

Width13AvailableMemory

Width14AvailableResources

Width15MemoryandResources

Width16KeyStates

Y

Year


Events
 StatusFX Events

Standard Events

DblClick

GaugeSet

KeyStateDblClk

MenuSelect

PopupMenuSelect

Timer

Timer2


WhatNewAndFixed
 What's New to v2.2, Fixed and Changed

New in Version 2.2

1.  StatusFX has been completely reengineered due to the extra captions, allowing for greater flexibility and functionality.  The concept of the caption side and the display side has been replaced with six captions.  Each caption now has an associated CaptionStyle (DisplayStyle in version 2.1 and less), allowing each caption to play the roll of a caption\gauge or one of the CaptionStyle(s).  In version 2.1 and less, only the display side had the functionality of showing 16 versions of date/time and key states.  Also, the display side owned the popup menu.  Now in version 2.2 all captions can display separate CaptionStyle(s) or be a caption/gauge and you have the choice of allowing the popup menu to display for a particular caption showing its current captionstyle.

New in Version 2.1

1.  Gauge support built into the 4 extra captions.

New in Version 2.0

1.  Complete menu item customization.  Hide/unhide menu items that are associated with the display side.

2.  4 extra captions have been added to StatusFX.  You can now have your own indicators in addition to the ones built into display side.  Each are completely customizable.

3.  An extra timer has been added and is completely separate from the timer that runs the display side.

Sub  StatusFX1_Timer2(Today As Integer, DayOfWeek As Integer, Mon As Integer, Yr As Integer, AMOrPM As Integer, Hr As Integer, Min As Integer, Sec As Integer, Julian As Integer)

4.  Autosize of the display side.  You set the size for each displaystyle and then set DisplayAutoSize to true and it will use the size you specified instead of DisplayWidth.

Fixes and Updates

1.  Fixed problem with KeyStates style not painting the last rectangle completely.

2.  Updated Help File To New Version.

New Properties in Version 2.2

Caption1AbbreviateWords - Caption6AbbreviateWords

Caption1DisplayLeadingZero - Caption6DisplayLeadingZero

Caption1DisplayNextOnDblClick - Caption6DisplayNextOnDblClk

Caption1EndWidth - Caption5EndWidth

Caption1InactiveColor - Caption6InactiveColor

Caption1PopupMenu - Caption6PopupMenu

Caption1Style - Caption6Style

CaptionAutoSize

CaptionPaintDirection

CaptionWithMenu

Changes in Version 2.2

1.  DisplayStyle has been replaced with all captions having their own CaptionStyle.  Each caption can play the roll of caption or one of the CaptionStyles.  There is no more concept of caption side and display side because all captions can be either a caption or a caption style.

2.  Property name changes:

AbbreviateWords to Caption1AbbreviateWords - Caption6AbbreviateWords

DisplayNextOnDblClk to Caption1DisplayNextOnDblClk - Caption6DisplayNextOnDblClk

DisplayStyle to CaptionAutoSize

DisplayPopupMenu to Caption1PopupMenu - Caption6PopupMenu

KeyStateInactiveColor to Caption1InactiveColor - Caption6InactiveColor

DisplayWidth01Time - Display16KeyStates to Width01Time - Width16KeyStates

3.  Properties removed.

AbbreviateWords

Caption

Caption0Alignment

Caption0BackColor

Caption0Bevel

Caption0ForeColor

ControlStyle

DisplayAlignment

DisplayBackColor

DisplayBevel

DisplayForeColor

DisplayPopupMenu

DisplayStyle

DisplayWidth

Gauge

Gauge0Alignment

Gauge0BackColor

Gauge0Direction

Gauge0Percent

Gauge0PercentStyle

Gauge0Text

IntervalKeyStates

IntervalOther

KeyStateInactiveColor


Align

Usage	Statusfx.Align = numericvalue

Read/Write at design time and run time.

Values	0 - None

1 - Align Top

2 - Align Bottom

Description	See Visual Basic On-Line Help for further information on this standard property.

Default Value	0 - None


AMorPM

see also

Usage

StatusFX.AMorPM

Read Only at design time and run time.

Value

0 - AM

1 - PM

Description

This property contains the current state of AM or PM of the system time.


AMPMStyle

see also

Usage

StatusFX.AMPMStyle = numervalue

Read/Write at design time and run time.

Value

0 - AM/PM

1 - am/pm

2 - A/P

3 - a/p

4 - Morning/Night

5 - Crack of Dawn/After Hours

6 - Early/Late

7 - Coffee/Cold Beer

8 - Breakfast/Dinner

9 - Hangover/Party

10 - User Defined

Description

This property sets the values to be used in place of AM and PM.  By selecting 10 - User Defined you can define your own AM/PM values by setting UserDefinedAM and UserDefinedPM.

Default Value

0 - AM/PM


AvailableMemory

see also

Usage

StatusFX.AvailableMemory

Read Only at design time and run time.

Value

System Available Memory

Description

This property contains the current system available memory.


AvailableResources

see also

Usage

StatusFX.AvailableResources

Read Only at design time and run time.

Value

1 - 100 (Percent%)

Description

This property contains the current system available resources.


KeyStateDblClk

see also

Syntax

StatusFX_KeyStateDblClick (KeyState as Integer, State as Integer)

Parameter Values

KeyState

0 - Scroll Lock

1 - Num Lock

2 - Caps Lock

3 - Insert Mode

State

0 - Key Off / Insert Mode

1 - Key On / Overtype

Description

This event is called when double clicking inside any one of the keystate rectangles during runtime if property DisplayNextOnDblClk is set to False.  The insert key should be check regularly due to most text controls not automatically setting their insert mode automatically.


BevelHighlight

see also

Usage

StatusFX.BevelHighlight = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the bevel highlight for the control.  With this color and BevelShade gives the control it's 3D appearance.

Default

&H00FFFFFF& (bright white).


BevelShade

see also

Usage

StatusFX.BevelShade = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the bevel shade for the control.  With this color and BevelHighlight gives the control it's 3D appearance.

Default

&H00808080& (dark gray).


CapsState

see also

Usage

StatusFX.CapsState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Caps Lock key and can be set from the properties window, within code or by double clicking in the rectangle of Caps Lock during run time.


Day

see also

Usage

StatusFX.Day

Read Only at design time and run time.

Value

1 - 31 (Depending on the month)

Description

This property contains the current day of the system date.


DayOfTheWeek

see also

Usage

StatusFX.DayOfTheWeek

Read Only at design time and run time.

Value

1-7  (Beginning with Sunday = 1)

Description

This property contains the current day of the week value for the system date.


DisplayFullYear

Usage

StatusFX.DisplayFullYear = booleanvalue

Read/Write at design time and run time.

Value

True   - Display Full Year (Example 1994)

False - Display Short Year (Example 94)

Description

This property sets the display style of the year for the current system date.

Default Value

True


Caption1PopupMenu - Caption6PopupMenu

see also

Usage

Statusfx.Caption1PopupMenu = booleanvalue

Read/Write at design time and run time.

Value

True   - Display popup menu

False - Do not display popup menu

Description

This property determines if the associated popup menu will be displayed when right mouse clicking on the in the selected caption.  The popup menu will not display if CaptionXDisplayNextOnDblClk is set to false.

Default Value

True


Caption1Style - Caption6Style

see also	example

Usage

StatusFX.DisplayStyle = numericvalue

Read/Write at design time and run time.

Value

0 - Caption

1 - Time

2 - Military

3 - Date

4 - Long Date

5 - Date and Time

6 - Long Date and Time

7 - Julian Date

8 - Julian Date and Time

9 - Julian Date and Date

10 - Julian Date and Long Date

11 - Julian Date, Date and Time

12 - Julian Date, Long Date and Time

13 - Memory Available

14 - Resources Available

15 - Memory and Resource

16 - Key States

Description

This property sets the caption style for the selected caption.  Caption style  0 - Caption overides the display of the popup menu and CaptionXDisplayNextOnDblClk properties.

Default Value

1 - Time


DisplaySeconds

Usage

StatusFX.DisplaySeconds = booleanvalue

Read/Write at design time and run time.

Value

True 	- Display seconds when time is displayed.

False 	- Do not display seconds.

Description

This property determines if the seconds will be displayed and ticking away.

Default Value

True


BevelOuter

see also

Usage

StatusFX.BevelOuter = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Pop

2 - Drop

Description

This property sets the bevel state appearance for the outer rectangle surrounding the control.

Default Value

2 - Drop


EnableTimer

see also

Usage

StatusFX.EnableTimer = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable Timer

False - Disable Timer

Description

This property enables/disables the main timer but does not reset the interval value to 0.  This enables turning on and off the timer easily.

Default Value

True


Hour

see also

Usage

Statusfx.Hour

Read Only at design time and run time.

Value

1 - 12 Normal time

0 - 23 (DisplayStyle = 2 - Military)

Description

This property contains the current hour of the system time depending on the current DisplayStyle.


InsertState

see also

Usage

StatusFX.InsertState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Insert key and can be set from the properties window, within code or by double clicking in the rectangle of INS/Insert Mode or OVR/Overtype during run time.

Note:  Most VB controls do not automatically reset their insert state unless currently within that control.  Use this property to determine if insert or overtype should be on.  Use SendKeys to set the state appropriately.

Example:  SendKeys "{INSERT}"


JulianDate

see also

Usage

StatusFX.Julian

Read Only at design time and run time.

Value

1 - 365 Days

Description

This property contains the current julian date of the system date.


Minute

see also

Usage

StatusFX.Minute

Read Only at design time and run time.

Value

0 - 59

Description

This property contains the current minute of the system time.


Month

see also

Usage

StatusFX.Month

Read Only at design time and run time.

Value

1 - 12

Description

This property contains the current month of the system date.


Caption1EndWidth - Caption5EndWidth

Usage

StatusFX.Caption1EndWidth = numericvalue

Read Only at design time and run time.

Value

0 - 100 pixels

Description

This property sets the width at the end of the selected caption before the next caption is displayed.

Default

5


NumState

see also

Usage

StatusFX.NumState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Num Lock key and can be set from the properties window, within code or by double clicking in the rectangle of NUM/Num Lock during run time.


ScrollState

see also

Usage

StatusFX.ScrollState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Scroll Lock key and can be set from the properties window, within code or by double clicking in the rectangle of SCRL/Scroll Lock during run time.


Second

see also

Usage

StatusFX.Second

Read Only at design time and run time.

Value

0 - 59

Description

This property contains the current second of the system time.


ex_menuSelect
Example of MenuSelect

This examples show how a MenuSelect event might be structured.

Sub StatusFX1_MenuSelect (MenuItem As String, TypeOfItem As Integer, Enabled As Integer, Checked As Integer, SetCaption As Integer)

  Select Case TypeOfItem

    Case 0 'System Menu

        Select Case MenuItem

            Case "&Move"

               MenuItem = "Move window to a new location"

        End Select

    Case 1 'Popup Menu Item

       Select Case MenuItem

           Case "&File"

               MenuItem = "File: Open, New, Save Documents"

       End Select

    Case "&Open"

        If Enabled then  'Menu Item is Current Enabled

          MenuItem = "Open Existing Documents"

        Else                    'Menu Item is Not Enabled

          MenuItem = "This option is currently unavailable for selection."

        Endif

  End Select

  SetCaption = True

End Sub


UserDefinedAM

see also

Usage

StatusFX.UserDefinedAM = stringvalue

Read/Write at design time and run time.

Description

This property contains the user defined AM value used in place of AM when CaptionXStyle is set to a value that contains the time.  By setting this property to blank will automatically set it back to the value AM.

Default

AM


UserDefinedPM

see also

Usage

StatusFX.UserDefinedPM = stringvalue

Read/Write at design time and run time.

Description

This property contains the user defined PM value used in place of PM when CaptionXStyle is set to a value that contains the time.  By setting this property to blank will automatically set it back to the value PM.

Default

PM


Year

see also

Usage

StatusFX.Year

Read Only at design time and run time.

Description

This property contains the current year of the system Date.


DisplayAllMenuItems

see also

Usage

StatusFX.DisplayAllMenuItems = booleanvalue

Read/Write at design time and run time.

Value

True   - Display(Visible) all menu items.

False - Nothing

Description

This property overides the individual visibility state of each menu item and separators.  By setting this property to true, all menu items will display when bringing up the popup menu.

Default Value

True


Standard Properties

Standard Properties

StatusFX also supports the following standard Visual Basic properties.  Consult the Visual Basic documentation for details.

Align	BackColor	BorderStyle	DragIcon

DragMode	FontBold	FontItalic	FontName

FontSize	FontStrikeThru	FontUnderLine	Height

Hwnd	Index	Left	MousePointer

Name	Tag	Top	Visible

Width


Caption1DisplayNextOnDblClick - Caption6DisplayNextOnDblClk

see also

Usage

Statusfx.Caption1DisplayNextOnDblClick = booleanvalue

Read/Write at design time and run time.

Value

True   - Increment DisplayStyle by one

False - Do not increment

Description

This property determines if property CaptionXStyle will be incremented by one when double clicking on a selected caption.  If this property is set to False  and CaptionXStyle is set to 15 - Key States, then double clicking on any of the key states will automatically toggle that key on or off.

Default Value

True


Interval

see also

Usage

StatusFX.Interval = numericvalue

Read Only at design time and run time.

Value

0 - 32767 milliseconds (1000 = 1 second)

Description

This property contains the interval value at which the main timer is activated.  This value will be used to update properties and the display at this rate.  The interval value is automatically reset to a predefined value when the DisplayStyle is set.

Default

1000


GaugeSet

Syntax

StatusFX_GaugeSet (WhichGauge As Integer, Gauge As Integer)

Parameter Value

WhichGauge

1 - 6 - Corresponding to the selected GaugeX.

Gauge

1 - 100

Description

This event is called when the gauge property is set during run time.


Caption1DisplayLeadingZero - Caption6DisplayLeadingZero

Usage

Statusfx.Caption1DisplayLeadingZero = booleanvalue

Read/Write at design time and run time.

Value

True   - Display leading zero on date/time parts.

False - Do not display leading zero.

Description

This property determines if the leading zero(s) of properties Day, Month, Hour and Julian Date will be displayed as part of the particular CaptionXStyle in the selected caption.

Default Value

True


CaptionPaintDirection

Usage

Statusfx.CaptionPaintDirection = numericvalue

Read/Write at design time and run time.

Value

0 - Right to Left

1 - Left to Right

Description

This property sets the painting direction for placing captions on StatusFX.  If this property is set to 0 then the first caption will be adjusted to the remaining space from the left of the caption to the second caption displayed.  If this property is set to 1 then the last caption will be adjusted to the remaining space from the end of the status bar to the caption before the last caption.

Default Value

0 - Middle Center


pop_Interval
See also...

EnableTimer

EnableTimer2

Interval

IntervalTimer2

Timer

Timer2


pop_DisplayPopupMenu
See also...

Caption1PopupMenu - Caption6PopupMenu

Caption1Style - Caption6Style


ex_DisplayStyle
 Examples of StatusFX

Default Caption when first built (Showing plenty!!!)

Caption and  time displayed (Bevel Inner).

5 Captions and date time display in another

Memory and Resource

Key States and caption

Gauge and keystates

Gauge by Itself!

These are some examples of the different forms that StatusFX can become by setting the various CaptionXXXX properties.  Each StatusFX control has its own associated popup menu if enabled through property Caption1PopupMenu - Caption6PopupMenu .


pop_DisplayStyle
See also...

AbbreviateWords

AMPMStyle

DisplayFullYear

Caption1PopupMenu - Caption6PopupMenu

Caption1Style - Caption6Style

Interval


pop_DateTimeParts
See also...

AMorPM

Day

Hour

JulianDate

Minute

Month

Second

Year


pop_Memory
See also...

AvailableMemory

AvailableResources


pop_KeyState
See also...

CapsState

InsertState

NumState

ScrollState


MenuSelect

example

Syntax

Sub StatusFX1_MenuSelect (MenuItem As String, TypeOfItem As Integer, Enabled As Integer, Checked As Integer, SetCaption As Integer)

Description

MenuSelect is called when StatusFX is placed on a form with a menu.  If more that one StatusFX control resides, then both controls will be called in z-order.  Set property EnableMenuSelect to False for StatusFX controls that do not need to respond to this event.  Each parameter is explained below:

Parameters

MenuItem

This paramater contains the current selected menu item.  Set this parameter to the string value you wish to display in the selected caption.  The selected caption is set into property CaptionWidthMenu.  In order for the new MenuItem to be displayed in the Caption, you must set parameter SetCaption to True.

TypeOfItem

This parameter tells you the type of menu item that is currently selected.

Value

0 - System Menu Item (Control Menu)

1 - Popup Menu Item

2 - Regular Menu Item

Enabled

This paramater lets you know if the menu item is enabled or disabled.

Value

True - Menu Item is Enabled

False - Menu Item is Disabled

Disabled

This paramater lets you know if the menu item is checked or unchecked.

Value

True - Menu Item is Checked

False - Menu Item is UnChecked

SetCaption

This paramater gives you the option of letting StatusFX know if you want the Caption1 - Caption6 set to the value of MenuItem upon leaving the event.

Value

True - Set Caption To The Value Of MenuItem

False - Do Nothing

Default

False


pop_AMPM
See also...

AMPMStyle

UserDefinedAM

UserDefinedPM


Standard Events

Standard Events

Statusfx also supports the following standard Visual Basic events.  Consult the Visual Basic documentation for details.

Click	DblClick	DragDrop	DragOver

MouseDown	MouseMove	MouseUp


Caption1InactiveColor - Caption6InactiveColor

Usage

StatusFX.Caption1InactiveColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the key states (SCRL, NUM, CAPS, INS) when inactive (0 - Key Off) for the selected caption.

Default

&H00808080& (dark gray).


PopupMenuSelect

see also

Syntax

StatusFX_PopupMenuSelect (DisplayStyle As Integer)

Parameter Value

DisplayStyle

0 - None\Caption

1 - Time

2 - Military

3 - Date

4 - Long Date

5 - Date and Time

6 - Long Date and Time

7 - Julian Date

8 - Julian Date and Time

9 - Julian Date and Date

10 - Julian Date and Long Date

11 - Julian Date, Date and Time

12 - Julian Date, Long Date and Time

13 - Memory Available

14 - Resources Available

15 - Memory and Resource

16 - Key States

Description

This event is called when a menu item is selected from the popup menu or when property DisplayNextOnDblClk is set to True and the user double clicks on the status bar.


Timer

see also

Syntax

Timer ()

Description

This event is fired off (called) every milliseconds set into property Interval.  1000 milliseconds = 1 second.


DblClick

see also

Syntax

DblClick ()

Description

This standard event has been enhanced to support two events depending on the value set in  property DisplayNextOnDblClk.  If this property is set to True  then property DisplayStyle is incremented by one resulting in the PopupMenuSelect event being called.  If this property is set to False and DisplayStyle is set to 15 - Key States, then KeyStateDblClk is called if the user double clicks inside any of the keystate rectangles (SCRL, NUM, CAPS, INS).


pop_Bevel
See also...

Caption1Bevel - Caption6Bevel

BevelOuter

BevelHighlight

BevelShade


pop_DblClick
See also...

DblClick

Caption1DisplayNextOnDblClk - Caption6DisplayNextOnDblClk

KeyStateDblClk

PopupMenuSelect


CaptionWithMenu

Usage

StatusFX.CaptionWithMenu = numericvalue

Read/Write at design time and run time.

Value

1 - 6 caption

Description

This property associates the caption that will receive the MenuSelect event.  If parameter SetCaption is set to TRUE  in the MenuSelect event then the caption will be set.  Only one caption can receive the MenuSelect event.

Default

1


EnableMenuSelect

Usage

StatusFX.EnableMenuSelect = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable MenuSelect Event

False - Disable MenuSelect Event

Description

This property enables/disables the MenuSelect event from being called.  StatusFX controls not needing this event should be set to False to improve performance if many StatusFX control will reside on a particular form.

Default Value

True


EndWidth

Usage

StatusFX.EndWidth = numericvalue

Read Only at design time and run time.

Value

0 - 100 pixels

Description

This property sets the width\space before the first caption and after the last caption.

Default

5


Gauge1 - Gauge6

see also

Usage

StatusFX.Gauge1 = numericvalue

Read/Write at design time and run time.

Value

0 - 100

Description

This property sets the gauge percentage that will be filled by the specified gauge backcolor.  By setting the value greater than zero(0) will automatically set gauge to the correct fill percent.  By setting the value to zero(0) will automatically turn off the gauge and redisplay the caption text.


Caption1 - Caption6

Usage

StatusFX.Caption1 = stringvalue

Read/Write at design time and run time.

Description

This property contains the caption text that will be displayed in the caption portion for the selected caption.

Example:

StatusFX.Caption1 = "0001"

StatusFX.Caption2 = "0002"


Caption1Alignment - Caption6Alignment

Usage

Statusfx.Caption1Alignment = numericvalue

Read/Write at design time and run time.

Value

0 - Top Left

1 - Top Center

2 - Top Right

3 - Middle Left

4 - Middle Center

5 - Middle Right

6 - Bottom Left

7 - Bottom Center

8 - Bottom Right

Description

This property sets the alignment of text of the caption within the selected caption.

Default Value

4 - Middle Center


Caption1BackColor - Caption6BackColor

Usage

StatusFX.Caption1BackColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the background color on the selected caption.

Default

&H00C0C0C0& (light gray).


Caption1ForeColor - Caption6ForeColor

Usage

StatusFX.Caption1ForeColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the foreground color (text) on the selected caption.

Default

&H00000000& (black).


WidthMenu01Time - WidthMenu16KeyStates

Usage

StatusFX.WidthMenu01Time = numericvalue

Read/Write at design time and run time.

Description

This property sets the width to be used for each CaptionXStyle when CaptionAutoSize is set to true.  When CaptionAutoSize is set to true and the user selects another CaptionXStyle, the size associated with that CaptionXStyle will be used instead of CaptionXWidth.

Default Value

3000


DisplayMenuItems
DisplayMenu01Time - Display21AbbreviateWords

Usage

StatusFX.DisplayMenu01Time = booleanvalue

Read/Write at design time and run time.

Value

True   - Display(Visible) menu item in popup menu

False - Dont display menu item in popup menu

Description

This property displays/hides menu items and separators within the popup menu.  By setting DisplayAllMenuItems to true will overide this setting and display all menu items.

Default Value

True


CaptionAutoSize

see also

Usage

StatusFX.CaptionAutoSize = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable autosizing of the display side for each DisplayStyle

False - Disable autosizing

Description

This property enables/disables autosizing of the display side  for each CaptionXStyle.  Each CaptionXStyle has an associated width that can be set to a desired size (default 3000).  When DisplayAutoSize is set to true and DisplayStyle is set, the associated size will used instead of the default CaptionXWidth property.

Default Value

True


pop_Widths
See also...

Width01Time

Width02Military

Width03Date

Width04LongDate

Width05DateandTime

Width06LongDateandTime

Width07JulianDate

Width08JulianandTime

Width09JulianandDate

Width10JulianandLongDate

Width11JulianandDateandTime

Width12JulianandLongDateandTime

Width13AvailableMemory

Width14AvailableResources

Width15MemoryandResources

Width16KeyStates


pop_DisplayMenuItems
See also...

DisplayMenu01Time

DisplayMenu02Military

DisplayMenu03Date

DisplayMenu04LongDate

DisplayMenu05DateandTime

DisplayMenu06LongDateandTime

DisplayMenu07Separator1

DisplayMenu08JulianDate

DisplayMenu09JulianandTime

DisplayMenu10JulianandDate

DisplayMenu11JulianandLongDate

DisplayMenu12JulianandDateandTime

DisplayMenu13JulianandLongDateandTime

DisplayMenu14Separator2

DisplayMenu15AvailableMemory

DisplayMenu16AvailableResources

DisplayMenu17MemoryandResources

DisplayMenu18Separator3

DisplayMenu19KeyStates

DisplayMenu20Separator4

DisplayMenu21AbbreviateWords


Timer2

Syntax

Timer2 (Today As Integer, DayOfWeek As Integer, Mon As Integer, Yr As Integer, AMOrPM As Integer, Hr As Integer, Min As Integer, Sec As Integer, Julian As Integer)

Description

This event is fired off (called) every milliseconds set into property IntervalTimer2.  1000 milliseconds = 1 second.  This timer is separate from the main timer that updates the display side.


Interval2
IntervalTimer2

Usage

StatusFX.IntervalTimer2 = numericvalue

Read Only at design time and run time.

Value

0 - 32767 milliseconds (1000 = 1 second)

Description

This property contains the interval value at which timer2 is activated.  Timer2 is separate from the timer that updates the captions.

Default

1000


EnableTimer2

see also

Usage

StatusFX.EnableTimer2 = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable Timer

False - Disable Timer

Description

This property enables/disables timer2.  Timer2 is separate from the timer that updates the captions.

Default Value

True


Caption1Bevel - Caption6Bevel

Usage

StatusFX..Caption1Bevel = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Pop

2 - Drop

Description

This property sets the bevel state appearance for the rectangle surrounding the selected caption.

Default Value

2 - Drop


Caption1Visible - Caption6Visible

Usage

StatusFX.Caption1Visible = booleanvalue

Read/Write at design time and run time.

Value

True   - Display(Visible) caption

False - Dont display caption

Description

This property set the visibility state of the selected caption.

Default Value

True


Caption1Width - Caption6Width

Usage

StatusFX..Caption1Width = numericvalue

Read/Write at design time and run time.

Description

This property sets the width for the selected caption.  This property will be use if CaptionAutoSize is set to False.

Default Value

3000


Gauge1Alignment - Gauge6Alignment

see also

Usage

StatusFX.Gauge1Alignment = numericvalue

Read/Write at design time and run time.

Value

0 - Top Left

1 - Top Center

2 - Top Right

3 - Middle Left

4 - Middle Center

5 - Middle Right

6 - Bottom Left

7 - Bottom Center

8 - Bottom Right

Description

This property sets the alignment of text within the selected caption when the gauge is on.

Default Value

4 - Middle Center


Gauge1BackColor - Gauge6BackColor

see also

Usage

StatusFX.Gauge1BackColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the background color for the gauge of the selected caption.

Default

&H000000FF& (red).


Gauge1Direction - Gauge6Direction

see also

Usage

StatusFX.Gauge1Direction = numericvalue

Read/Write at design time and run time.

Value

0 - Left to Right

1 - Right to Left

2 - Top to Bottom

3 - Bottom to Top

Description

This property sets the gauge direction at which the gauge will fill for the selected caption.

Default Value

0 - Left to Right


Gauge1ForeColor - Gauge6ForeColor

see also

Usage

StatusFX.Gauge1ForeColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the foreground color (text) of the gauge on the selected caption.

Default

&H00000000& (black).


Gauge1Percent - Gauge6Percent

see also

Usage

StatusFX.Gauge1Percent = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Left of GaugeText

2 - Right of GaugeText

Description

This property sets the percentage placement with the gauge text of the selected caption.

Default Value

1 - Left of GaugeText


Gauge1PercentStyle - Gauge6PercentStyle

see also

Usage

StatusFX.Display1Alignment = numericvalue

Read/Write at design time and run time.

Value

0 - ###%

1 - (###%)

2 - [###%]

3 - <###%>

Description

This property sets the gauge percent style when the gauge is displayed for the selected caption.

Default Value

0 - ###%


Gauge1Text - Gauge6Text

see also

Usage

StatusFX.Gauge1Text = stringvalue

Read/Write at design time and run time.

Description

This property sets the gauge text that will be displayed when the gauge is on for the selected caption.


see also
see also...

Caption1 - Caption6

Gauge1 - Gauge6

Gauge1Alignment - Gauge6Alignment

Gauge1BackColor - Gauge6BackColor

Gauge1Direction - Gauge6Direction

Gauge1ForeColor - Gauge6ForeColor

Gauge1Percent - Gauge6Percent

Gauge1PercentStyle - Gauge6PercentStyle

Gauge1Text - Gauge6Text